Results 1 to 3 of 3

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: Python-Error

  1. #1
    Default Python-Error
    Hey.
    I've installed Python on my iPhone and it works.
    But when I want to execute this script: http://svn.saurik.com/repos/menes/tr...HelloPython.py - I always get this error:
    Code:
    Traceback (most recent call last):
      File "HelloWorld.py", line 12, in <module>
        objc.loadBundle("Celestial", globals(), "/System/Library/Frameworks/Celestial.framework")
    ImportError: Bundle could not be loaded.
    I'm logged in as root. How can I fix this? (Yes, I installed PyObjC)
    Sorry for my bad English - I'm from Austria.

  2. #2
    Hey.
    Sorry for double-posting, but I need help.
    I used Google, but I couldn't find anything.
    Sorry for my bad English - I'm from Austria.

  3. #3
    i've got your same problem.
    it might be an error because of the firmware version: i think this program has been written when the last available firware was 1.1.1....

    solved: you have to install iphone-python package from apt..then it will appears after a respring the HelloWorld app on the springboard
    Last edited by timetravel0; 02-02-2010 at 04:18 PM. Reason: Automerged Doublepost

Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •